# This file is configured by CMake and installed into ColPack's installation.
# It is used by downstream (client) projects when they use
# find_package(ColPack) in their CMakeLists.txt. We define variables that
# may be useful to users and include the file that defines ColPack's targets.
# CMake will replace all variables surrounded with "at" symbols by their value.
#
# For downstream users: the available targets are:
#  - ColPack_shared (for a shared library)
#  - ColPack_static (for a static library)

####### Expanded from @PACKAGE_INIT@ by configure_package_config_file() #######
####### Any changes to this file will be overwritten by the next CMake run ####
####### The input file was ColPackConfig.cmake.in                            ########

get_filename_component(PACKAGE_PREFIX_DIR "${CMAKE_CURRENT_LIST_DIR}/../../" ABSOLUTE)

macro(set_and_check _var _file)
  set(${_var} "${_file}")
  if(NOT EXISTS "${_file}")
    message(FATAL_ERROR "File or directory ${_file} referenced by variable ${_var} does not exist !")
  endif()
endmacro()

macro(check_required_components _NAME)
  foreach(comp ${${_NAME}_FIND_COMPONENTS})
    if(NOT ${_NAME}_${comp}_FOUND)
      if(${_NAME}_FIND_REQUIRED_${comp})
        set(${_NAME}_FOUND FALSE)
      endif()
    endif()
  endforeach()
endmacro()

####################################################################################
set(ColPack_VERSION 1.0.11)
set_and_check(ColPack_ROOT_DIR "${PACKAGE_PREFIX_DIR}")
include("${CMAKE_CURRENT_LIST_DIR}/ColPackTargets.cmake")
